Package ru.bitel.bgbilling.kernel.customer.common.bean

# Class Customer

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.kernel.customer.common.bean.Customer

All Implemented Interfaces:
  `Serializable`, `Idable`

public class Customer extends Id
Набор перечислений ключей для работы с кастомерами. Включает в себя: `Customer.CustomerType` типа кастомера. Юрик или физик `Customer.CustomerFizDocument` - поля документа физ.лица

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `Customer.CustomerFizDocument`
  `static enum`
  `Customer.CustomerType`
  `static enum`
  `Customer.Keys`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final List<Customer.Keys>`
  `CONTACT_VALUES`
  `static final List<Customer.Keys>`
  `F_VALUES`
  `static final List<Customer.Keys>`
  `U_BANK_VALUES`
  `static final List<Customer.Keys>`
  `U_DIRECTOR_VALUES`
  `static final List<Customer.Keys>`
  `U_VALUES`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Customer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static <T> T`
  `define(String key, Class<T> enumWithKey)`
  По ключу определяет значение какого-либо значения из наборов ключей
  `int`
  `getContractCount()`
  `Customer.CustomerType`
  `getCustomerType()`
  `String`
  `getData()`
  `Customer`
  `setContractCount(int contractCount)`
  `Customer`
  `setCustomerType(Customer.CustomerType customerType)`
  `Customer`
  `setData(String data)`
  `Customer`
  `setId(int id)`
  Устанавливает id объекта
  `CustomerF`
  `toCustomerF()`
  `CustomerU`
  `toCustomerU()`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### U_VALUES

    public static final List<Customer.Keys> U_VALUES

  - ### U_BANK_VALUES

    public static final List<Customer.Keys> U_BANK_VALUES

  - ### U_DIRECTOR_VALUES

    public static final List<Customer.Keys> U_DIRECTOR_VALUES

  - ### F_VALUES

    public static final List<Customer.Keys> F_VALUES

  - ### CONTACT_VALUES

    public static final List<Customer.Keys> CONTACT_VALUES

- ## Constructor Details

  - ### Customer

    public Customer()

- ## Method Details

  - ### getCustomerType

    public Customer.CustomerType getCustomerType()

  - ### getData

    public String getData()

  - ### getContractCount

    public int getContractCount()

  - ### setId

    public Customer setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setCustomerType

    public Customer setCustomerType(Customer.CustomerType customerType)

  - ### setData

    public Customer setData(String data)

  - ### setContractCount

    public Customer setContractCount(int contractCount)

  - ### toCustomerF

    public CustomerF toCustomerF()

  - ### toCustomerU

    public CustomerU toCustomerU()

  - ### define

    public static <T> T define(String key, Class<T> enumWithKey)
    По ключу определяет значение какого-либо значения из наборов ключей
    Type Parameters:
      `T` - тип возвращаемого значения
    Parameters:
      `key` - ключ для поиска
      `enumWithKey` - тип enum'a в котором по ключу будем искать
    Returns:
      значение, если было найдёно в заданном перечислении